Bug 127764 - [PATCH] Problems w/ laptops + external monitor w/ different resolution
[PATCH] Problems w/ laptops + external monitor w/ different resolution
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: xscreensaver (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks: 123574
  Show dependency treegraph
 
Reported: 2004-07-13 11:31 EDT by Joshua Jensen
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-20 16:38:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for xscreensaver (631 bytes, text/plain)
2004-07-13 11:34 EDT, Joshua Jensen
no flags Details

  None (edit)
Description Joshua Jensen 2004-07-13 11:31:46 EDT
Description of problem:

On an IBM T30 or T40 (and probably other laptops too), xscreensaver
doesn't cover the entire screen, when an external monitor is being
used.  The external monitor needs to be running at a high resolution
than the laptop is at... when it does though xscreensaver will have an
uncovered border around it.

I'll attach a patch that fixes this problem... please consider
applying this patch for RHEL3 U3 !!!

Version-Release number of selected component (if applicable):

RHEL3 with ALL updates

How reproducible:

As described above
Comment 1 Joshua Jensen 2004-07-13 11:34:24 EDT
Created attachment 101863 [details]
Patch for xscreensaver
Comment 2 Joshua Jensen 2004-07-13 11:38:30 EDT
BTW, this is a problem in Fedora Core 1 and 2.  It also was a problem
in RHL 7.3
Comment 3 Jamie Zawinski 2004-08-15 04:25:07 EDT
This is a bug in the X server, not in xscreensaver.

See Red Hat bug 81593;
See report against XFree86:
    http://bugs.xfree86.org/show_bug.cgi?id=421
See xscreensaver FAQ:
    http://www.jwz.org/xscreensaver/faq.html#screen-size

The XFree86 developers have closed the bug.  As far as I can tell, the
reason for this was, "this is an X server bug, but it's pretty hard to
fix.  Therefore, closing."

In recent versions of xscreensaver you can work around it by adding
this line to your .xscreensaver file:

GetViewPortIsFullOfLies: True

This will cause xscreensaver to always render to a window the size of
your desktop, regardless of what the server claims the size of the
virtual viewport is.
Comment 4 Owen Taylor 2004-08-16 13:56:10 EDT
What's the use case for using XF86Vidmode here - screensaving when
someone is running a fullscreen game? I don't think running a desktop
with a larger virtual size than physical size is at all common
these days or worth acocunting for.

For our packages, we probably should just default that xscreensaver
config option on.

Might be worth filing again in x.org bugzilla; it sounded sort
of like what Egbert was saying is that XF86Vidmode and its internals
needed to be extended to have the concept of multiple monitors
viewing possibly overlapping areas of the frame buffer. Which
isn't an easy fix but should be recorded somewhere as something
needing fixing.

Comment 5 Ray Strode [halfline] 2004-08-18 12:27:29 EDT
I think that for RHEL3 it makes the most sense just to get rid of the
XF86Vidmode code which has limited usefulness and the potential to
cause problems.

Marking MODIFIED while QA tests the fix.
Comment 6 Mike Gahagan 2004-08-19 11:03:22 EDT
I tested xscreensaver-4.10-7 with the latest U3 tree using an IBM T40p
laptop connected to a Dell p991 monitor (1600x1200x16) and its working
great. Full screen on both the display and the monitor.
Comment 8 Joshua Jensen 2004-09-24 13:05:28 EDT
When is this coming out?  U4?
Comment 9 Joshua Jensen 2004-10-19 09:27:41 EDT
ping ?  Was this already released as part of U3, or are we still
waiting on it?
Comment 10 Ray Strode [halfline] 2004-10-19 09:44:28 EDT
Hi Joshua,

This is currently scheduled to be part of U4.
Comment 11 John Flanagan 2004-12-20 16:38:03 EST
An advisory has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-443.html
Comment 12 Jamie Zawinski 2004-12-20 18:21:52 EST
The patch included in xscreensaver-4.10-8.src.rpm deletes most of the
body of the get_screen_viewport() function.  A better fix would be:

    - upgrade to xscreensaver 4.16 or later;
    - set "GetViewPortIsFullOfLies: True" in XScreenSaver.ad.in

Note You need to log in before you can comment on or make changes to this bug.